services:
  embycovers:
    build: .
    container_name: embytoolkit
    ports:
      - "8500:8500"
    environment:
      - TZ=Pacific/Auckland
      - EMBY_URL=http://10.0.0.2:8096
      - EMBY_API_KEY=b9af54b630f6448289ab96422add567a
      # Optional external artwork providers:
      # - TMDB_BEARER_TOKEN=
      # - TMDB_API_KEY=
      # - GOOGLE_CUSTOM_SEARCH_API_KEY=
      # - GOOGLE_CUSTOM_SEARCH_ENGINE_ID=
    volumes:
      - /share/Docker/embytoolkit/output:/app/output
      - /share/Docker/embytoolkit/cache:/app/cache
    restart: unless-stopped
    networks:
      - npm_network

networks:
  npm_network:
    external: true
